//---------------------------------------------------------------------------
#include <vcl.h>
//#include "MainForm.h"

#pragma hdrstop
//--- -------------------------------------------------
#include "MonitorForm.h"
//#include "../Common/DesnaUtils.h"

#include <RxStrUtils.hpp>
#include <FileUtil.hpp>
#include <FileCtrl.hpp>
#include <Masks.hpp>
#include "AppUtilites.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "VirtualTrees"
#pragma link "ThemeMgr"
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
TMonitorForm *MonitorForm;
//---------------------------------------------------------------------------
// TMonitorForm
//---------------------------------------------------------------------------
__fastcall TMonitorForm::TMonitorForm(TComponent* Owner/*, IGlobal *AGlobal*/)
        : TForm(Owner)
{
  Pict = new Graphics::TBitmap();
  InitVariables();
  VTVHOperator = new TVTreeHolderOperator();

  VTVHOperator->Init(VirtualStringTree1, ImageList3,  mmDAT);
}

//---------------------------------------------------------------------------
void __fastcall TMonitorForm::FormDestroy(TObject *Sender)
{
  //Global->DeleteWindowTab(this);

  if (Pict)
  {
    delete Pict;
    Pict = NULL;
  }
}
//---------------------------------------------------------------------------
void __fastcall TMonitorForm::FormClose(TObject *Sender,
      TCloseAction &Action)
{
  Action = caFree;
}
//---------------------------------------------------------------------------
void __fastcall TMonitorForm::FormCloseQuery(TObject *Sender,
      bool &CanClose)
{
  CanClose = true;       
}
//---------------------------------------------------------------------------

